package info.kamino.Addressbook;

/**
 * This class implements an entry in the addressbook including all
 * nessassary fields
 * @author Tobias Hergenroether
 * @version 0.1
 */
public class AddressbookEntry
{
  private String name;
  private String surname;
  private String street;
  private String zip;
  private String city;
  private String telephone;
  private String mobil;
  private String email;
  private String url;
  
  /**
   * The standard constructor, which just creates an AddressbookEntry object
   * @param inputName
   * @throws nothing
   * @return void 
   */
  public AddressbookEntry(){
    
  }
  
  /**
   * The constructor, which expects all parameters of type string
   * @param String inputName
   * @param String inputSurname
   * @param String inputStreet
   * @param String inputZip
   * @param String inputCity
   * @param String inputTelephone
   * @param String inputMobil
   * @param String inputEmail
   * @param String inputUrl
   * @throws nothing
   * @return void
   */
  public AddressbookEntry(String inputName, String inputSurname, String inputStreet, 
                            String inputZip, String inputCity, String inputTelephone, 
                            String inputMobil, String inputEmail, String inputUrl){
    setName(inputName);
    setSurname(inputSurname);
    setStreet(inputStreet);
    setZip(inputZip);
    setCity(inputCity);
    setTelephone(inputTelephone);
    setMobil(inputMobil);
    setEmail(inputEmail);
    setUrl(inputUrl);
  }
  
  /*
   * The get-methods to get the values of the private variables
   */
  /**
   * 
   * The method getName() returns the variable name
   * @param void
   * @throws nothing
   * @return String
   */
  public String getName(){
    return name;
  }
  
  /**
   * The method getSurname() returns the variable surname
   * @param void
   * @throws nothing
   * @return String
   */
  public String getSurname(){
    return surname;
  }
  /**
   * The method getStreet() returns the variable street
   * @param void
   * @throws nothing
   * @return String
   */
  public String getStreet(){
    return street;
  }
  /**
   * The method getZip() returns the variable zip
   * @param void
   * @throws nothing
   * @return String
   */
  public String getZip(){
    return zip;
  }
  /**
   * The method getCity() returns the variable city
   * @param void
   * @throws nothing
   * @return String
   */
  public String getCity(){
    return city;
  }
  /**
   * The method getTelephone() returns the variable telephone
   * @param void
   * @throws nothing
   * @return String
   */
  public String getTelephone(){
    return telephone;
  }
  /**
   * The method getMobile() returns the variable mobile
   * @param void
   * @throws nothing
   * @return String
   */
  public String getMobil(){
    return mobil;
  }
  /**
   * The method getEmail() returns the variable email
   * @param void
   * @throws nothing
   * @return String
   */
  public String getEmail(){
    return email;
  }
  /**
   * The method getUrl() returns the variable url
   * @param void
   * @throws nothing
   * @return String
   */
  public String getUrl(){
    return url;
  }
  
  
  /*
   * The set-methods to set the values of the private variables
   */
  /**
   * The method setName() changes the value of the variable name
   * @param String 
   * @throws nothing
   * @return void
   */
  public void setName(String inputName){
    name = inputName;
  }
  /**
   * The method setSurname() changes the value of the variable surname
   * @param String
   * @throws nothing
   * @return void
   */
  public void setSurname(String inputSurname){
    surname = inputSurname;
  }
  /**
   * The method setStreet() changes the value of the variable street
   * @param String
   * @throws nothing
   * @return void
   */
  public void setStreet(String inputStreet){
    street = inputStreet;
  }
  /**
   * The method setZip() changes the value of the variable zip
   * @param String
   * @throws nothing
   * @return void
   */
  public void setZip(String inputZip){
    zip = inputZip;
  }
  /**
   * The method setCity() changes the value of the variable city
   * @param String
   * @throws nothing
   * @return void
   */
  public void setCity(String inputCity){
    city = inputCity;
  }
  /**
   * The method setTelephone() changes the value of the variable telephone
   * @param String
   * @throws nothing
   * @return void
   */
  public void setTelephone(String inputTelephone){
    telephone = inputTelephone;
  }
  /**
   * The method setMobil() changes the value of the variable mobil
   * @param String
   * @throws nothing
   * @return void
   */
  public void setMobil(String inputMobil){
    mobil = inputMobil;
  }
  /**
   * The method setEmail() changes the value of the variable email
   * @param String
   * @throws nothing
   * @return void
   */
  public void setEmail(String inputEmail){
    email = inputEmail;
  }
  /**
   * The method setUrl() changes the value of the variable url
   * @param String
   * @throws nothing
   * @return void
   */
  public void setUrl(String inputUrl){
    url = inputUrl;
  }
}
